Bug 1418345 (CVE-2017-5192) - CVE-2017-5192 salt: local_batch client external authentication not respected
Summary: CVE-2017-5192 salt: local_batch client external authentication not respected
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5192
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418350
Blocks: 1418348
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:35 UTC by Andrej Nemec
Modified: 2021-02-17 02:41 UTC (History)
5 users (show)

Fixed In Version: salt 2015.8.13, salt 2016.3.5, salt 2016.11.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 07:48:32 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-01 15:35:30 UTC
The LocalClient.cmd_batch() method client does not accept external_auth credentials and so access to it from salt-api has been removed for now. This vulnerability allows code execution for already-authenticated users and is only in effect when running salt-api as the root user.

References:

https://docs.saltstack.com/en/2016.3/topics/releases/2015.8.13.html

Comment 1 Andrej Nemec 2017-02-01 15:41:58 UTC
Created salt tracking bugs for this issue:

Affects: epel-all [bug 1418350]

Comment 2 Siddharth Sharma 2017-02-10 07:43:57 UTC
Mitigation:

Disable salt-api for mitigation.

Comment 3 Siddharth Sharma 2017-02-10 07:48:32 UTC
Statement:

This issue did not affect the versions of the salt as shipped with Red Hat Ceph Storage 1.3, Red Hat Ceph Storage 2, and Red Hat Storage Console 2 as salt-api and salt-ssh are not shipped with these products.


Note You need to log in before you can comment on or make changes to this bug.